engine->beginImage(0, 0, SString());
engine->newpath();
engine->moveto (3,3);
engine->lineto (3,6);
engine->lineto (6,6);
engine->closepath();
engine->fill(x, y, width, height, pen);
return engine->endImage();
